## apache2 2.4.6

=== debian/changelog ===
apache2 (2.4.6-3) unstable; urgency=low

  * Fix 'implicit declaration' compiler warnings.
  * Fix module dependencies in lbmethod_*.load files. Closes: #717910
    LP: #1205314
  * Mark apache2-data as Multi-Arch: foreign. Closes: #718387
  * Backport open_htaccess hook from upstream 2.4.x branch to allow
    building mpm-itk as separate package.
  * Improve comment for LogLevel in apache2.conf. Closes: #718677
  * Fix comment in ports.conf. Closes: #718650
  * Fix htcacheclean path and function name in init script. Closes: #718909
  * Enable bindnow hardening compiler option, patch by Felix Geyer.
    Closes: #714872

 -- Stefan Fritsch <sf@debian.org>  Mon, 12 Aug 2013 20:15:38 +0200

apache2 (2.4.6-2) unstable; urgency=low

  [ Stefan Fritsch ]
  * Fix watch file
  * Don't pass --silent to libtool, allowing blhc to check the compiler
    options in the build logs.

  [ Arno Töll ]
  * Allow third party packages to use triggers if they use them in a
    maintainer script invoking apache2-maintscript-helper (Closes: #717610)

 -- Arno Töll <arno@debian.org>  Tue, 23 Jul 2013 13:25:30 +0200

apache2 (2.4.6-1) unstable; urgency=low

  New upstream release:
  * CVE-2013-1896: mod_dav: Fix a denial of service via MERGE request
    (Closes: #717272)
  * New modules mod_cache_socache, mod_proxy_wstunnel.
  * mod_ssl: Add support for subjectAltName-based host name checking in proxy
    mode (SSLProxyCheckPeerName).
  * mod_lua: Many new functions.
  * mod_auth_basic: Add a generic mechanism to fake basic authentication
    using the ap_expr parser (AuthBasicFake).
  * mod_proxy: New BalancerInherit and ProxyPassInherit options.
  * mod_authnz_ldap: Allow using exec: calls to obtain LDAP bind password.

  [ Arno Töll ]
  * Document our security model in our NEWS file and highlight we do not allow
    access to /srv. Thanks to joeyh for pointing this out.
  * Allow the use of apache2-maintscript-helper from a sub-function. We rely
    on dpkg's arguments supplied in $1, $2 etc. This clashes with function
    arguments supplied to to sh sub-function. Allow manual override in such
    cases.
  * Mention that the dh_apache2 conditional must be present in postrm too
    (Closes: #716694)
  * Fix "dh_apache2 ignores alternative httpd on conf files" by correctly
    checking the supplied arguments, we were off by one (Closes: #717299).
  * Reinstall index.html also on upgrades as it is removed during upgrades.
  * Add mod_macro transitional package as it was promoted to core and does not
    exist as individual package anymore (Closes: #706962)

  [ Stefan Fritsch ]
  * Don't fail package upgrade or removal just because the configuration is in
    an inconsistent state (Closes: #716921, #717343, LP: #1202653).
  * Improve error output of init script.
  * Fix broken dependency information in several *.load files.
  * Add mod_authn_core as dependency of the mod_auth_* modules.
    (Closes: #717448)

 -- Arno Töll <arno@debian.org>  Sun, 21 Jul 2013 18:44:42 +0200

apache2 (2.4.4-6) unstable; urgency=low

  * Denote exact versions breaking gnome-user-share now that Gnome maintainers
    have a fixed version in the works. That makes Gnome installable again.
  * Update our gbp.conf for our big merge next -> master. The eagle has
    landed, 2.4 is here.
  * Push Standards version to 3.9.4 - no changes needed.
  * Fix spelling errors in man pages.
  * Update the git VCS pointer to its canonical location for anonymous
    checkouts.
  * Boost the description for the LSB init script to appease Lintian.
  * Fix spurious warnings in the Apache2 bug report script (Closes: #711121,
    #711480)
  * Strip off file extensions from arguments to a2(en|dis)(site|conf|mod) so
    that "a2ensite 000-default.conf" works, as well as "a2ensite 000-default"
    (Closes: #711494)
  * Fix "apache2-dev: dh-apache2 does not strip .conf extension" for modules
    relying on the install heuristic, instead of writing an *.apache2 conf
    file (Closes: #711483)
  * Apply patch submitted by Robert Luberda and redirect all output of
    apache2-maintscript-helper to stderr (Closes: #711478)
  * Tell about essential operations in the init script (Closes: #711120)
  * Fix indentation mess in the init script, and add modelines
  * Make sure /etc/init.d/apache2 reload does not always return. Thanks to
    Thorsten Glaser for suggesting a patch (Closes: #711117)
  * Make apache2-maintscript-helper usable when sourced from weird
    environments (e.g. Perl maintainer scripts). Thanks to Robert Luberda
    for doing unexpected things, and providing patches for it, and to Axel
    Beckert for demangling shell specifics (Closes: #711479)
  * Fix "copyright file missing after upgrade (policy 12.5)" and add these for
    MPM transitional packages (Closes: #710914)
  * Fix "apache2.2-bin transitional package (binaries only) should not
    depend on apache2 package (which runs a system daemon)". This happened by
    accident added by debhelper since we are linking docs. We do to
    apache2-bin instead (Closes: #711127)
  * Refresh "upstream-fixes" patch
  * Fix "Disabling strtoul violates C89 and C99 and is unnecessary" by
    removing the symbol override in httpd.h(Closes: #711534)

 -- Arno Töll <arno@debian.org>  Fri, 07 Jun 2013 19:14:36 +0200

apache2 (2.4.4-5) unstable; urgency=low

  [ Arno Töll ]
  * Fix compile issue on kfreebsd.

 -- Stefan Fritsch <sf@debian.org>  Fri, 31 May 2013 10:19:18 +0200

apache2 (2.4.4-4) unstable; urgency=low

  [ Stefan Fritsch ]
  * Upload to unstable.
  * Fix FTBFS on hurd caused by mpm-itk linking fix.
  * Fix some lintian warnings:
    - fix pod error
    - add overrides for hardening-no-fortify-functions
    - don't use /lib/init/vars.sh in init script
  * Add note to README.Debian about CVE-2013-0966 if the document root is
    on HFS+ or on ZFS with filename normalization.
  * Add a note to README.Debian about how to change the max file limit.


=== debian/control ===
Source: apache2
Section: httpd
Priority: optional
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Uploaders: Stefan Fritsch <sf@debian.org>, Steinar H. Gunderson <sesse@debian.org>, Arno Töll <arno@debian.org>
Build-Depends: debhelper (>= 8.9.7~), lsb-release, dpkg-dev (>= 1.16.1~),
 libaprutil1-dev (>= 1.5.0), libapr1-dev, libpcre3-dev, zlib1g-dev,
 libssl-dev (>= 0.9.8m), libcap-dev [linux-any], perl,
 liblua5.1-0-dev, libxml2-dev, autotools-dev, gawk | awk
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-apache/apache2.git
Vcs-Git: git://anonscm.debian.org/pkg-apache/apache2.git
Homepage: http://httpd.apache.org/

Package: apache2
Architecture: any
Depends: ${misc:Depends}, lsb-base, procps [!hurd-i386],
 perl, mime-support, apache2-bin (= ${binary:Version}),
 apache2-data (= ${source:Version}), ${perl:Depends}
Replaces: apache2.2-common
Conflicts: apache2.2-common
Recommends: ssl-cert
Suggests: www-browser, apache2-doc, apache2-suexec-pristine | apache2-suexec-custom,
 apache2-utils
Description: Apache HTTP Server
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package contains the configuration files, init scripts and support
 scripts. It does not install the actual apache2 binaries.

Package: apache2-data
Architecture: all
Depends: ${misc:Depends}
Replaces: apache2.2-common
Conflicts: apache2.2-common
Multi-Arch: foreign
Description: Apache HTTP Server (common files)
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package contains architecture-independent common files such as icons,
 error pages and static index files.

Package: apache2-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
# MODULE_MAGIC_NUMBER_MAJOR from apache2/include/ap_mmn.h
Provides: ${apache2:API}, httpd, httpd-cgi
Suggests: www-browser, apache2-doc, apache2-suexec-pristine | apache2-suexec-custom
Replaces: apache2.2-bin (<< 2.3~), apache2.2-common, apache2-mpm-prefork (<< 2.3~),
 apache2-mpm-itk (<< 2.3~), apache2-mpm-worker (<< 2.3~), apache2-mpm-event (<< 2.3~),
 libapache2-mod-proxy-html (<< 1:2.4.4-2~), libapache2-mod-macro (<< 1:2.4.6-1~)
Conflicts: apache2.2-bin (<< 2.3~), apache2.2-common
Breaks: libapache2-mod-proxy-html (<< 1:2.4.4-2~), libapache2-mod-macro (<< 1:2.4.6-1~)
Description: Apache HTTP Server (binary files and modules)
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package contains the binaries only and does not set up a working
 web-server instance. Install the "apache2" package to get a fully working
 instance. Do not install this package unless you want to set-up the Apache
 HTTP server entirely on your own.

Package: apache2-mpm-worker
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2 (= ${binary:Version})
Description: transitional worker MPM package for apache2
 This is a transitional package to apache2 for users of apache2-mpm-worker and
 can be safely removed after the installation is complete.

Package: apache2-mpm-prefork
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2 (= ${binary:Version})
Description: transitional prefork MPM package for apache2
 This is a transitional package to apache2 for users of apache2-mpm-prefork and
 can be safely removed after the installation is complete.

Package: apache2-mpm-event
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2 (= ${binary:Version})
Description: transitional event MPM package for apache2
 This is a transitional package to apache2 for users of apache2-mpm-event and
 can be safely removed after the  installation is complete.

Package: apache2-mpm-itk
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2 (= ${binary:Version})
Description: transitional itk MPM package for apache2
 This is a transitional package to apache2 for users of apache2-mpm-itk and
 can be safely removed after the installation is complete.

Package: apache2.2-bin
Architecture: any
Section: oldlibs
Priority: extra
Breaks: gnome-user-share (<< 3.8.0-2~), libapache2-mod-dnssd (<< 0.6-3.1~)
Depends: ${misc:Depends}, apache2-bin (>= 2.3~)
Description: Transitional package for apache2-bin
 This is a transitional package for apache2-bin, and can be safely removed
 after the installation is complete.

Package: libapache2-mod-proxy-html
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2-bin (>= 2.3~)
Description: Transitional package for apache2-bin
 This is a transitional package for apache2-bin, and can be safely removed
 after the installation is complete.

Package: libapache2-mod-macro
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2-bin (>= 2.3~)
Description: Transitional package for apache2-bin
 This is a transitional package for apache2-bin, and can be safely removed
 after the installation is complete.


Package: apache2-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Description: Apache HTTP Server (utility programs for web servers)
 Provides some add-on programs useful for any web server.  These include:
  - ab (Apache benchmark tool)
  - fcgistarter (Start a FastCGI program)
  - logresolve (Resolve IP addresses to hostname in logfiles)
  - htpasswd (Manipulate basic authentication files)
  - htdigest (Manipulate digest authentication files)
  - htdbm (Manipulate basic authentication files in DBM format, using APR)
  - htcacheclean (Clean up the disk cache)
  - rotatelogs (Periodically stop writing to a logfile and open a new one)
  - split-logfile (Split a single log including multiple vhosts)
  - checkgid (Checks whether the caller can setgid to the specified group)
  - check_forensic (Extract mod_log_forensic output from Apache log files)
  - httxt2dbm (Generate dbm files for use with RewriteMap)

Package: apache2-suexec
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends},
 apache2-suexec-pristine (= ${binary:Version})
Description: transitional package for apache2-suexec-pristine
 This is a transitional package for apache2-suexec-pristine, and can be safely
 removed after the installation is complete.

Package: apache2-suexec-pristine
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, apache2-bin
Replaces: apache2-suexec (<< 2.3~)
Breaks: apache2-suexec (<< 2.3~)
Provides: apache2-suexec
Description: Apache HTTP Server standard suexec program for mod_suexec
 Provides the standard suexec helper program for mod_suexec. This version is
 compiled with document root /var/www and userdir suffix public_html. If you
 need different settings, use the package apache2-suexec-custom.

Package: apache2-suexec-custom
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, apache2-bin
Replaces: apache2-suexec (<< 2.3~)
Breaks: apache2-suexec (<< 2.3~)
Provides: apache2-suexec
Description: Apache HTTP Server configurable suexec program for mod_suexec
 Provides a customizable version of the suexec helper program for mod_suexec.
 This is not the version from upstream, but can be configured with a
 configuration file.
 .
 If you do not need non-standard document root or userdir settings, it is
 recommended that you use the standard suexec helper program from the
 apache2-suexec-pristine package instead.

Package: apache2-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Recommends: apache2
Depends: ${misc:Depends}
Description: Apache HTTP Server (on-site documentation)
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package provides the documentation for the Apache 2 HTTP server. The
 documentation is shipped in HTML format and can be accessed from a local
 running Apache HTTP server instance or by browsing the file system directly.

Package: apache2-dev
Architecture: any
Depends: ${misc:Depends}, openssl,
 libapr1-dev, libaprutil1-dev, debhelper (>= 9), ${perl:Depends}
Provides: apache2-prefork-dev, apache2-threaded-dev, dh-apache2
Replaces: apache2-prefork-dev, apache2-threaded-dev
Conflicts: apache2-prefork-dev, apache2-threaded-dev
Description: Apache HTTP Server (development headers)
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package provides development headers and the apxs2 binary for the Apache 2
 HTTP server useful to develop and link third party additions to the Debian
 Apache HTTP server package.
 .
 It also provides dh_apache2 and dh sequence addons useful to install various
 Debian Apache2 extensions with debhelper. It supports
  - Apache 2 module configurations and shared objects
  - Site configuration files
  - Global configuration files

Package: apache2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, apache2-bin (= ${binary:Version})
Description: Apache debugging symbols
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package includes the debugging symbols. It can be used to debug
 crashing server instances and modules.  See
 /usr/share/doc/apache2/README.backtrace for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_BUILD_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
include /usr/share/dpkg/buildflags.mk

LSB_RELEASE := $(shell lsb_release -i -s)
SERVER_VERSION := $(shell dpkg-parsechangelog | perl -ne 'print $$1 if m/Version:\s*([\d\.]+)/')
DEBIAN_VERSION := $(shell dpkg-parsechangelog | perl -ne 'print $$1 if m/Version:\s*(.+)/')
MODULE_DIR := /usr/lib/apache2/modules/
API = $(shell perl -ne 'print $$1 if m/define\s+MODULE_MAGIC_NUMBER_MAJOR\s+?(.*)$$/' < include/ap_mmn.h)
AP2_CFLAGS = -pipe $(CFLAGS)
AP2_LDFLAGS = -Wl,--as-needed $(LDFLAGS)
AP2_CPPFLAGS = -DPLATFORM='\"$(LSB_RELEASE)\"' $(CPPFLAGS)
AP2_LTFLAGS = --no-silent


support/suexec-custom.c: support/suexec.c debian/patches/suexec-custom.patch
	cp support/suexec.c support/suexec-custom.c
	patch -p1 -i debian/patches/suexec-custom.patch

server/mpm/itk/.stamp:
	mkdir server/mpm/itk/
	cp server/mpm/prefork/* server/mpm/itk/
	mv server/mpm/itk/prefork.c server/mpm/itk/itk.c
	set -ex; for p in $$(grep -v '^#' debian/patches/itk/series) ; do \
		echo Applying $$p ... ;\
		patch -p1 -i debian/patches/itk/$$p ;\
	done
	touch "$@"

prebuild-checks:
	ERRS="" ;\
	for a in $$(find debian/config-dir/ -type f) ; do \
		t="$$a.$$$$" ;\
		unexpand < "$$a" > "$$t" ;\
		cmp -s "$$a" "$$t" || ERRS="$$ERRS $$a" ;\
		rm "$$t" ;\
	done ;\
	if [ -n "$$ERRS" ] ; then \
		echo 'ERROR: The following files contain spaces instead of tabs. Run through unexpand!' ;\
		ls -1 $$ERRS ;\
		false ;\
	fi

clean-config-vars:
	# Clean up config_vars.mk
	# FIXME: Maybe someone could document here why we actually need to
	# cleanup some stuff here
	perl ./debian/clean_config_vars '$(AP2_CFLAGS)' '$(AP2_CPPFLAGS)' '$(AP2_LDFLAGS)'

%: %.in
	sed 's#__SERVER_VERSION__#$(SERVER_VERSION)#; s#__MODULE_DIR__#$(MODULE_DIR)#; s#__API__#$(API)#;' $< > $@
	chmod `/usr/bin/stat -c '%a' "$<"` $@

prepare-scripts: debian/a2query debian/debhelper/dh_apache2
	(grep -s -v apache2:API debian/apache2-bin.substvars; echo apache2:API=apache2-api-$(API)) > debian/apache2-bin.substvars.new
	mv debian/apache2-bin.substvars.new debian/apache2-bin.substvars

generate-maintainer-scripts:
	set -e ; \
	for type in custom pristine ; do \
		for f in postinst preinst prerm links dirs lintian-overrides postrm; do \
			if [ -e debian/apache2-suexec.$$f.in ] ; then \
				perl -pe "s{__TYPE__}{$$type}g" < debian/apache2-suexec.$$f.in > debian/apache2-suexec-$$type.$$f ;\
				chmod `/usr/bin/stat -c '%a' "debian/apache2-suexec.$$f.in"` debian/apache2-suexec-$$type.$$f ;\
			fi ;\
		done ;\
	done
	set -e ; \
	for type in worker itk prefork event ; do \
		for f in postinst preinst prerm links dirs lintian-overrides postrm; do \
			if [ -e debian/apache2-mpm.$$f.in ] ; then \
				perl -pe "s{__TYPE__}{$$type}g" < debian/apache2-mpm.$$f.in > debian/apache2-mpm-$$type.$$f ;\
				chmod `/usr/bin/stat -c '%a' "debian/apache2-mpm.$$f.in"` debian/apache2-mpm-$$type.$$f ;\
			fi ;\
		done ;\
	done


clean build build-arch build-indep binary binary-arch binary-indep: %:
	dh $@ --parallel --with autotools_dev

override_dh_auto_configure: generate-maintainer-scripts prebuild-checks server/mpm/itk/.stamp support/suexec-custom.c
	./configure --enable-layout=Debian --enable-so --with-program-name=apache2 \
		--enable-suexec --with-suexec-caller=www-data \
		--with-suexec-bin=/usr/lib/apache2/suexec --with-suexec-docroot=/var/www \
		--with-suexec-userdir=public_html --with-suexec-logfile=/var/log/apache2/suexec.log \
		--with-suexec-uidmin=100 --enable-suexec=shared --enable-log-config=static \
		--with-apr=/usr/bin/apr-1-config --with-apr-util=/usr/bin/apu-1-config \
		--with-pcre=yes \
		--enable-pie \
		--enable-mpms-shared=all \
		--enable-mods-shared="all cgi" \
		--enable-mods-static="unixd logio watchdog version" \
		CFLAGS="$(AP2_CFLAGS)" CPPFLAGS="$(AP2_CPPFLAGS)" LDFLAGS="$(AP2_LDFLAGS)" \
		LTFLAGS="$(AP2_LTFLAGS)"


ifeq ($(DEB_HOST_ARCH_OS),linux)
	# XXX Hack to make mod_mpm_itk.so link against libcap until we
	# XXX move itk to a separate package
	echo "$(DEB_HOST_ARCH_OS): non weird arch: adding -lcap"
	perl -p -i -e 's/(-avoid-version)/$$1 -lcap/' server/mpm/itk/modules.mk
endif

override_dh_install: clean-config-vars prepare-scripts
	dh_install --list-missing

override_dh_fixperms-arch:
	# standard suexec
	chmod 4754 debian/apache2-suexec-pristine/usr/lib/apache2/suexec-pristine
	chgrp www-data debian/apache2-suexec-pristine/usr/lib/apache2/suexec-pristine
	# configurable suexec
	chmod 4754 debian/apache2-suexec-custom/usr/lib/apache2/suexec-custom
	chgrp www-data debian/apache2-suexec-custom/usr/lib/apache2/suexec-custom
	dh_fixperms -a -Xusr/lib/apache2/suexec-custom -Xusr/lib/apache2/suexec-pristine
	chown -R www-data:www-data debian/apache2/var/cache/apache2/mod_cache_disk
	chown root:adm debian/apache2/var/log/apache2
	chmod o-rx debian/apache2/var/log/apache2

override_dh_fixperms-indep:
	dh_fixperms -i

override_dh_installinit:
	dh_installinit --restart-after-upgrade --error-handler=true -- defaults 91 09

override_dh_installdocs-indep:
	# TODO: So, did anyone check convert_docs needs an update? ;)
	perl debian/convert_docs debian/apache2-doc/usr/share/doc/apache2-doc/manual
	dh_installdocs -i

override_dh_installdocs-arch:
	dh_installdocs --link-doc=apache2 -papache2 -papache2-dbg \
		-papache2-mpm-worker -papache2-mpm-prefork -papache2-mpm-event \
		-papache2-mpm-itk
	dh_installdocs --link-doc=apache2-bin -papache2.2-bin -plibapache2-mod-proxy-html \
	    -plibapache2-mod-macro
	dh_installdocs --link-doc=apache2-suexec-pristine -papache2-suexec
	dh_installdocs -a

override_dh_installchangelogs:
	# Do not install changelogs for transitional packages and the -data
	# package not to trash the disk at the installation site. Together with
	# dh_installdocs this means that changelogs are installed in a few
	# packages only.
	dh_installchangelogs -Napache2-suexec -Napache2-mpm-worker \
		-Napache2-mpm-prefork -Napache2-mpm-event -Napache2-mpm-itk \
		-Napache2-data -Nlibapache2-mod-proxy-html -Napache2.2-bin \
		-Nlibapache2-mod-macro

override_dh_installman:
	mv debian/tmp/usr/share/man/man8/suexec.8 debian/tmp/usr/share/man/man8/suexec-pristine.8
	pod2man debian/debhelper/dh_apache2 > debian/manpages/dh_apache2.1
	pod2man debian/a2query.in > debian/manpages/a2query.8
	dh_installman

override_dh_strip:
	dh_strip --dbg-package=apache2-dbg

override_dh_auto_install:
	dh_auto_install -- -j1

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_auto_clean:
	dh_auto_clean
	if test -d server/mpm/itk ; then rm -r server/mpm/itk ; fi

override_dh_gencontrol:
	dh_gencontrol  -p libapache2-mod-proxy-html -- -v1:$(DEBIAN_VERSION)
	dh_gencontrol  -p libapache2-mod-macro -- -v1:$(DEBIAN_VERSION)
	dh_gencontrol --remaining-packages

.PHONY: generate-maintainer-scripts clean-config-vars prepare-scripts prebuild-checks
.PHONY: clean build build-arch build-indep binary binary-arch binary-indep

=== debian/watch ===
version=3
http://www.apache.org/dist/httpd/httpd-(\d\.[02468]\.\d+)\.tar\.gz

## apache2 2.4.7

=== CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Read README.cmake before using this.

PROJECT(HTTPD C)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

INCLUDE(CheckSymbolExists)
INCLUDE(CheckCSourceCompiles)

FIND_PACKAGE(LibXml2)
FIND_PACKAGE(Lua51)
FIND_PACKAGE(OpenSSL)
FIND_PACKAGE(ZLIB)

# Options for support libraries not supported by cmake-bundled FindFOO

# Default to using APR trunk (libapr-2.lib) if it exists in PREFIX/lib;
# otherwise, default to APR 1.x + APR-util 1.x
IF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/libapr-2.lib")
  SET(default_apr_libraries "${CMAKE_INSTALL_PREFIX}/lib/libapr-2.lib")
ELSEIF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/libapr-1.lib")
  SET(ldaplib "${CMAKE_INSTALL_PREFIX}/lib/apr_ldap-1.lib")
  IF(NOT EXISTS ${ldaplib})
    SET(ldaplib)
  ENDIF()
  SET(default_apr_libraries ${CMAKE_INSTALL_PREFIX}/lib/libapr-1.lib ${CMAKE_INSTALL_PREFIX}/lib/libaprutil-1.lib ${ldaplib})
ELSE()
  SET(default_apr_libraries)
ENDIF()

# PCRE names its libraries differently for debug vs. release builds.
# We can't query our own CMAKE_BUILD_TYPE at configure time.
# If the debug version exists in PREFIX/lib, default to that one.
IF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/pcred.lib")
  SET(default_pcre_libraries ${CMAKE_INSTALL_PREFIX}/lib/pcred.lib)
ELSE()
  SET(default_pcre_libraries ${CMAKE_INSTALL_PREFIX}/lib/pcre.lib)
ENDIF()

SET(APR_INCLUDE_DIR       "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory with APR[-Util] include files")
SET(APR_LIBRARIES         ${default_apr_libraries}       CACHE STRING "APR libraries to link with")
SET(PCRE_INCLUDE_DIR      "${CMAKE_INSTALL_PREFIX}/include" CACHE STRING "Directory with PCRE include files")
SET(PCRE_LIBRARIES        ${default_pcre_libraries}      CACHE STRING "PCRE libraries to link with")
SET(LIBXML2_ICONV_INCLUDE_DIR     ""                     CACHE STRING "Directory with iconv include files for libxml2")
SET(LIBXML2_ICONV_LIBRARIES       ""                     CACHE STRING "iconv libraries to link with for libxml2")
# end support library configuration

# Misc. options
OPTION(INSTALL_PDB        "Install .pdb files (if generated)"  ON)
OPTION(INSTALL_MANUAL     "Install manual"                     ON)

SET(ENABLE_MODULES        "O"                            CACHE STRING "Minimum module enablement (e.g., \"i\" to build all but those without prerequisites)")
SET(WITH_MODULES          ""                             CACHE STRING "comma-separated paths to single-file modules to statically link into the server")
SET(EXTRA_INCLUDES        ""                             CACHE STRING "Extra include directories")
SET(EXTRA_LIBS            ""                             CACHE STRING "Extra libraries")
SET(EXTRA_COMPILE_FLAGS   ""                             CACHE STRING "Extra compile flags")

IF(NOT EXISTS "${APR_INCLUDE_DIR}/apr.h")
  MESSAGE(FATAL_ERROR "APR include directory ${APR_INCLUDE_DIR} is not correct.")
ENDIF()
FOREACH(onelib ${APR_LIBRARIES})
  IF(NOT EXISTS ${onelib})
    MESSAGE(FATAL_ERROR "APR library ${onelib} was not found.")
  ENDIF()
ENDFOREACH()

MACRO(DEFINE_WITH_BLANKS output_definition input_symbol input_value)
  IF(MSVC_IDE)
    SET(${output_definition} "-D${input_symbol}=\"${input_value}\"")
  ELSE()
    # assume command-line tool, where extra quotes must be added and escaped to
    # survive
    SET(${output_definition} "-D${input_symbol}=\"\\\"${input_value}\\\"\"")
  ENDIF()
ENDMACRO()

MACRO(GET_MOD_ENABLE_RANK macro_modname macro_mod_enable_val macro_output_rank)
  IF(${macro_mod_enable_val} STREQUAL "O")
    SET(${macro_output_rank} 0)
  ELSEIF(${macro_mod_enable_val} STREQUAL "i")
    SET(${macro_output_rank} 1)
  ELSEIF(${macro_mod_enable_val} STREQUAL "I")
    SET(${macro_output_rank} 2)
  ELSEIF(${macro_mod_enable_val} STREQUAL "a")
    SET(${macro_output_rank} 3)
  ELSEIF(${macro_mod_enable_val} STREQUAL "A")
    SET(${macro_output_rank} 4)
  ELSE()
    MESSAGE(FATAL_ERROR "Unexpected enablement value \"${macro_mod_enable_val}\" for ${macro_modname}")
  ENDIF()
ENDMACRO()

GET_MOD_ENABLE_RANK("ENABLE_MODULES setting" ${ENABLE_MODULES} enable_modules_rank)

# Figure out what APR/APU features are available
#
# CHECK_APR_FEATURE checks for features defined to 1 or 0 in apr.h or apu.h
# The symbol representing the feature will be set to TRUE or FALSE for 
# compatibility with the feature tests set by FindFooPackage.
#
# (unclear why CHECK_SYMBOL_EXISTS is needed, but I was getting "found" for anything 
# not defined to either 1 or 0)

MACRO(CHECK_APR_FEATURE which_define)
  CHECK_SYMBOL_EXISTS(${which_define} "${APR_INCLUDE_DIR}/apr.h;${APR_INCLUDE_DIR}/apu.h" tmp_${which_define})
  IF(${tmp_${which_define}})
    CHECK_C_SOURCE_COMPILES("#include \"${APR_INCLUDE_DIR}/apr.h\"
      #include \"${APR_INCLUDE_DIR}/apu.h\"
      int main() {
      #ifndef ${which_define}
      #error gobble
      #endif
      #if !${which_define}
      #error gobble
      #endif
      return 1;}" ${which_define})
  ELSE()
    SET(${which_define})
  ENDIF()
  IF(${${which_define}})
    SET(${which_define} TRUE)
  ELSE()
    SET(${which_define} FALSE)
  ENDIF()
ENDMACRO()

CHECK_APR_FEATURE(APR_HAS_XLATE)
CHECK_APR_FEATURE(APU_HAVE_CRYPTO)

# APR_HAS_LDAP is defined in apr_ldap.h, which exists only in apr 1.x, so use
# special code instead of CHECK_APR_FEATURE()
# As with CHECK_APR_FEATURE(), convert to a TRUE/FALSE result.
CHECK_C_SOURCE_COMPILES("#include \"${APR_INCLUDE_DIR}/apr.h\"
#include \"${APR_INCLUDE_DIR}/apr_ldap.h\"
int main() {
#if !APR_HAS_LDAP
#error gobble
#endif
return 1;}" APR_HAS_LDAP)
IF(${APR_HAS_LDAP})
  SET(APR_HAS_LDAP TRUE)
ELSE()
  SET(APR_HAS_LDAP FALSE)
ENDIF()

MESSAGE(STATUS "")
MESSAGE(STATUS "Summary of feature detection:")
MESSAGE(STATUS "")
MESSAGE(STATUS "LIBXML2_FOUND ............ : ${LIBXML2_FOUND}")
MESSAGE(STATUS "LUA51_FOUND .............. : ${LUA51_FOUND}")
MESSAGE(STATUS "OPENSSL_FOUND ............ : ${OPENSSL_FOUND}")
MESSAGE(STATUS "ZLIB_FOUND ............... : ${ZLIB_FOUND}")
MESSAGE(STATUS "APR_HAS_LDAP ............. : ${APR_HAS_LDAP}")
MESSAGE(STATUS "APR_HAS_XLATE ............ : ${APR_HAS_XLATE}")
MESSAGE(STATUS "APU_HAVE_CRYPTO .......... : ${APU_HAVE_CRYPTO}")
MESSAGE(STATUS "")

# Options for each available module
#   "A" ("A"ctive) means installed and active in default .conf, fail if can't be built
#   "I" ("I"nactive) means installed and inactive (LoadModule commented out) in default .conf, fail if can't be built
#   "O" ("O"mit) means not installed, no LoadModule
#   "a" - like "A", but ignore with a warning if any prereqs aren't available
#   "i" - like "I", but ignore with a warning if any prereqs aren't available

# Current heuristic for default enablement:
#
#   Module requires a prereq and           -> O
#   finding/usingprereq isn't implemented
#   yet
#
#   Module is included by default in       -> a if it has prereqs, A otherwise
#   autoconf-based build 
#
#   Module is included in                  -> i if it has prereqs, I otherwise
#   --enable-modules=most 
#
#   Otherwise                              -> O
#
SET(MODULE_LIST
  "modules/aaa/mod_access_compat+A+mod_access compatibility"
  "modules/aaa/mod_allowmethods+I+restrict allowed HTTP methods"
  "modules/aaa/mod_auth_basic+A+basic authentication"
  "modules/aaa/mod_auth_digest+I+RFC2617 Digest authentication"
  "modules/aaa/mod_auth_form+I+form authentication"
  "modules/aaa/mod_authn_anon+I+anonymous user authentication control"
  "modules/aaa/mod_authn_core+A+core authentication module"
  "modules/aaa/mod_authn_dbd+I+SQL-based authentication control"
  "modules/aaa/mod_authn_dbm+I+DBM-based authentication control"
  "modules/aaa/mod_authn_file+A+file-based authentication control"
  "modules/aaa/mod_authn_socache+I+Cached authentication control"
  "modules/aaa/mod_authnz_ldap+i+LDAP based authentication"
  "modules/aaa/mod_authz_core+A+core authorization provider vector module"
  "modules/aaa/mod_authz_dbd+I+SQL based authorization and Login/Session support"
  "modules/aaa/mod_authz_dbm+I+DBM-based authorization control"
  "modules/aaa/mod_authz_groupfile+A+'require group' authorization control"
  "modules/aaa/mod_authz_host+A+host-based authorization control"
  "modules/aaa/mod_authz_owner+I+'require file-owner' authorization control"
  "modules/aaa/mod_authz_user+A+'require user' authorization control"
  "modules/arch/win32/mod_isapi+I+isapi extension support"
  "modules/cache/mod_cache+I+dynamic file caching.  At least one storage management module (e.g. mod_cache_disk) is also necessary."
  "modules/cache/mod_cache_disk+I+disk caching module"
  "modules/cache/mod_cache_socache+I+shared object caching module"
  "modules/cache/mod_file_cache+I+File cache"
  "modules/cache/mod_socache_dbm+I+dbm small object cache provider"
  "modules/cache/mod_socache_dc+O+distcache small object cache provider"
  "modules/cache/mod_socache_memcache+I+memcache small object cache provider"
  "modules/cache/mod_socache_shmcb+I+ shmcb small object cache provider"
  "modules/cluster/mod_heartbeat+I+Generates Heartbeats"
  "modules/cluster/mod_heartmonitor+I+Collects Heartbeats"
  "modules/core/mod_macro+I+Define and use macros in configuration files"
  "modules/core/mod_watchdog+I+Watchdog module"
  "modules/database/mod_dbd+I+Apache DBD Framework"
  "modules/dav/fs/mod_dav_fs+I+DAV provider for the filesystem."
  "modules/dav/lock/mod_dav_lock+I+DAV provider for generic locking"
  "modules/dav/main/mod_dav+I+WebDAV protocol handling."
  "modules/debugging/mod_bucketeer+O+buckets manipulation filter.  Useful only for developers and testing purposes."
  "modules/debugging/mod_dumpio+I+I/O dump filter"
  "modules/echo/mod_echo+O+ECHO server"
  "modules/examples/mod_case_filter+O+Example uppercase conversion filter"
  "modules/examples/mod_case_filter_in+O+Example uppercase conversion input filter"
  "modules/examples/mod_example_hooks+O+Example hook callback handler module"
  "modules/examples/mod_example_ipc+O+Example of shared memory and mutex usage"
  "modules/filters/mod_buffer+I+Filter Buffering"
  "modules/filters/mod_charset_lite+i+character set translation"
  "modules/filters/mod_data+O+RFC2397 data encoder"
  "modules/filters/mod_deflate+i+Deflate transfer encoding support"
  "modules/filters/mod_ext_filter+I+external filter module"
  "modules/filters/mod_filter+A+Smart Filtering"
  "modules/filters/mod_include+I+Server Side Includes"
  "modules/filters/mod_proxy_html+i+Fix HTML Links in a Reverse Proxy"
  "modules/filters/mod_ratelimit+I+Output Bandwidth Limiting"
  "modules/filters/mod_reflector+O+Reflect request through the output filter stack"
  "modules/filters/mod_reqtimeout+A+Limit time waiting for request from client"
  "modules/filters/mod_request+I+Request Body Filtering"
  "modules/filters/mod_sed+I+filter request and/or response bodies through sed"
  "modules/filters/mod_substitute+I+response content rewrite-like filtering"
  "modules/filters/mod_xml2enc+i+i18n support for markup filters"
  "modules/generators/mod_asis+I+as-is filetypes"
  "modules/generators/mod_autoindex+A+directory listing"
  "modules/generators/mod_cgi+I+CGI scripts"
  "modules/generators/mod_info+I+server information"
  "modules/generators/mod_status+I+process/thread monitoring"

=== modules/core/test/Makefile ===
#
# $Id: Makefile 1435811 2013-01-20 10:07:44Z fabien $
#
# mod_macro non regression tests

# where is apache
APA.dir	= /tmp/apache

# apache executable with mod macro loaded
HTTPD = \
	$(APA.dir)/bin/httpd \
	  -C 'LoadModule macro_module modules/mod_macro.so' \
	  -C "Define PWD $$PWD/conf"

# default target
.PHONY: default
default: clean

# run all non regression tests
.PHONY: check
check: check-out

# result directory
OUT	= out
out:
	mkdir $@

# test cases & results
F.conf	= $(wildcard conf/test*.conf)
F.out	= $(F.conf:conf/%.conf=$(OUT)/%.out)

# run all tests
.PHONY: run-test
run-test: $(F.out)

# generate & compare in a separate directory
.PHONY: check-out
check-out: out
	$(RM) out/*.out
	$(MAKE) OUT=out run-test
	diff -r out/ ref/

# generate & compare in the same directory
.PHONY: check-ref
check-ref:
	$(RM) ref/*.out
	$(MAKE) OUT=ref run-test
	svn diff ref/

# run one test case
# filter output so that it is portable
# use '|' sed separator because $PWD will contain plenty '/'
$(OUT)/%.out: conf/%.conf
	{ \
	  echo "# testing with $<" ; \
	  $(HTTPD) -f $$PWD/$< 2>&1 ; \
	  echo "# exit: $$?" ; \
	} > $@.tmp ; \
	sed -e "s|$$PWD|.|g" \
	    -e "s|^\[[\.a-zA-Z0-9 :]*\] ||" \
	    -e "s|\[pid [0-9]*:tid [0-9]*] ||" \
	    $@.tmp > $@ ; \
	$(RM) $@.tmp

# cleanup
.PHONY: clean
clean:
	$(RM) *~
	$(RM) -r out

=== debian/changelog ===
apache2 (2.4.7-1ubuntu4) trusty; urgency=medium

  * d/p/split-logfile.patch: fix completely broken split-logfile command
    (LP: #1299162). Thanks to Holger Mauermann.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 03 Apr 2014 11:21:22 +0000

apache2 (2.4.7-1ubuntu3) trusty; urgency=medium

  * SECURITY UPDATE: denial of service via mod_dav incorrect end of string
    calculation
    - debian/patches/CVE-2013-6438.patch: properly calculate correct length
      in modules/dav/main/util.c.
    - CVE-2013-6438
  * SECURITY UPDATE: denial of service via truncated cookie and
    mod_log_config
    - debian/patches/CVE-2014-0098.patch: properly parse tokens in
      modules/loggers/mod_log_config.c.
    - CVE-2014-0098

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 20 Mar 2014 08:34:10 -0400

apache2 (2.4.7-1ubuntu2) trusty; urgency=medium

  * d/index.html: replace Debian with Ubuntu on default page
    (LP: #1288690).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 19 Mar 2014 11:04:21 +0000

apache2 (2.4.7-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/{control, apache2.install, apache2-utils.ufw.profile,
      apache2.dirs}: Add ufw profiles.
    - debian/apache2.py, debian/apache2-bin.install: Add apport hook.
    - d/control, d/config-dir/mods-available/ssl.conf,
      d/ask-for-passphrase, d/apache2.install, d/tests/ssl-passphrase:
      Plymouth aware passphrase dialog program ask-for-passphrase.
    - debian/rules: Fix cross-building by passing DEB_{HOST,BUILD}_GNU_TYPE
      to configure.
    - debian/patches/086_svn_cross_compiles: Backport several cross fixes
      from upstream
    - Build using lua5.2.
    - d/tests/chroot: dep8 test for ChrootDir case.
    - d/p/ignore-quilt-dir: adjust build system so that it does not use
      files find inside the .pc directory. This stops a double module load
      causing later havoc, including "ChrootDir" directive failure.
  * Drop changes:
    - debian/{control, rules}: Enable PIE hardening: no longer required;
      2.4.7-1 is already hardened.
    - d/p/itk-rerun-configure.patch: no longer needed, as ITK support has moved
      out of this package.
  * d/tests/ssl-passphrase: update for new default path /var/www/html.
  * d/tests/duplicate-module-load: check for duplicate module loads.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 14 Jan 2014 17:23:47 +0000

apache2 (2.4.7-1) unstable; urgency=low

  New upstream version

  [ Stefan Fritsch ]
  * In logrotate and init script, don't hardcode path to htcacheclean.
    Instead, put sbin directories in PATH. Also fix one missed reference
    to disk_cache.load, missed in 2.4.6-3. Really closes: #718909
  * Remove possiblity to override path to apache2 executable via envvars.
    This is no longer necessary with MPMs as modules.
  * Fix typo in serve-cgi-bin.conf. Closes: #723196
  * Bump Build-Depends. 2.4.7 requires apr 1.5.

  [ Arno Töll ]
  * Fix "No default site enabled after fresh install if /etc/apache2
    exists" by using a condition in preinst which actually works as expected.
    Thanks to Jean-Michel Vourgère for triaging the issue and providing a
    patch (Closes: #711493).
  * Leave a2disconf with rc=0 when purging a configuration which does not
    exist. (Closes: #718166)
  * Explicitly express the dependency for mod_access_compat depending on
    authn_core. Thanks Jean-Michel Vourgère for providing a patch (Closes:
    #710412)
  * Allow "apache2_invoke disconf" in postinst/preinst (Closes: #717693)
  * Rework the default index.html file. Instead of a blank, minimalistic page
    give a quick start guide, since nobody seems to read our docs. This site
    is hopefully explaining the most important questions.
  * Add a virtual provides line to the itk/worker/event/prefork transitional
    packages so that people with an unusual (unsupported) Apache setup
    can upgrade neatless in some corner cases (Closes: #728937)
  * Drop the Apache ITK patches. The Apache ITK MPM is a standalone package
    now and will be provided by libapache2-mpm-itk in future. The
    apache2-mpm-itk package depends on this package from now on. Users of itk
    are advised to consult the itk manual.
    This also resolves a build-system problem that caused mod_unixd to be
    initialized twice. (LP: #1251939)
  * Remove Steinar H. Gunderson from uploaders, he will continue to support
    itk in his own package in future. The remaining Apache team thanks Steinar
    for all the work in the past.
  * Change the Default Document root directory where files are served from
    (Closes: #730372).
  * Add GPG support to our watch file. Thanks to Daniel Kahn Gillmor
    for this suggestion and for providing a patch (Closes: #732450)
  * Refresh suexec-custom.patch.

 -- Arno Töll <arno@debian.org>  Thu, 02 Jan 2014 00:17:56 -1100

apache2 (2.4.6-2ubuntu4) trusty; urgency=low

  * d/p/ignore-quilt-dir, d/p/itk-rerun-configure.patch: adjust build system so
    that it does not use files find inside the .pc directory. This stops a
    double module load causing later havoc, including "ChrootDir" directive
    failure (LP: #1251939). Thanks to Stefan Fritsch.
  * d/tests/chroot: dep8 test for ChrootDir case.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 28 Nov 2013 16:21:51 +0000

apache2 (2.4.6-2ubuntu3) trusty; urgency=low

  * debian/apache2.install: Correct path for ufw.
    (LP: #1252722) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 19 Nov 2013 08:59:54 -0500

apache2 (2.4.6-2ubuntu2) saucy; urgency=low

  * d/ask-for-passphrase: mark executable so that apache2 can run it. Fixes
    passphrase prompting for SSL certificates that are passphrase protected.
  * Add dep8 test for SSL passphrase prompting.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 09 Aug 2013 13:08:52 +0000

apache2 (2.4.6-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/{control, rules}: Enable PIE hardening.


=== debian/rules ===
--- 
+++ 
@@ -18,21 +18,12 @@
 AP2_LDFLAGS = -Wl,--as-needed $(LDFLAGS)
 AP2_CPPFLAGS = -DPLATFORM='\"$(LSB_RELEASE)\"' $(CPPFLAGS)
 AP2_LTFLAGS = --no-silent
-
+DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 support/suexec-custom.c: support/suexec.c debian/patches/suexec-custom.patch
 	cp support/suexec.c support/suexec-custom.c
 	patch -p1 -i debian/patches/suexec-custom.patch
-
-server/mpm/itk/.stamp:
-	mkdir server/mpm/itk/
-	cp server/mpm/prefork/* server/mpm/itk/
-	mv server/mpm/itk/prefork.c server/mpm/itk/itk.c
-	set -ex; for p in $$(grep -v '^#' debian/patches/itk/series) ; do \
-		echo Applying $$p ... ;\
-		patch -p1 -i debian/patches/itk/$$p ;\
-	done
-	touch "$@"
 
 prebuild-checks:
 	ERRS="" ;\
@@ -86,7 +77,7 @@
 clean build build-arch build-indep binary binary-arch binary-indep: %:
 	dh $@ --parallel --with autotools_dev
 
-override_dh_auto_configure: generate-maintainer-scripts prebuild-checks server/mpm/itk/.stamp support/suexec-custom.c
+override_dh_auto_configure: generate-maintainer-scripts prebuild-checks support/suexec-custom.c
 	./configure --enable-layout=Debian --enable-so --with-program-name=apache2 \
 		--enable-suexec --with-suexec-caller=www-data \
 		--with-suexec-bin=/usr/lib/apache2/suexec --with-suexec-docroot=/var/www \
@@ -101,13 +92,6 @@
 		CFLAGS="$(AP2_CFLAGS)" CPPFLAGS="$(AP2_CPPFLAGS)" LDFLAGS="$(AP2_LDFLAGS)" \
 		LTFLAGS="$(AP2_LTFLAGS)"
 
-
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-	# XXX Hack to make mod_mpm_itk.so link against libcap until we
-	# XXX move itk to a separate package
-	echo "$(DEB_HOST_ARCH_OS): non weird arch: adding -lcap"
-	perl -p -i -e 's/(-avoid-version)/$$1 -lcap/' server/mpm/itk/modules.mk
-endif
 
 override_dh_install: clean-config-vars prepare-scripts
 	dh_install --list-missing
@@ -171,7 +155,6 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	if test -d server/mpm/itk ; then rm -r server/mpm/itk ; fi
 
 override_dh_gencontrol:
 	dh_gencontrol  -p libapache2-mod-proxy-html -- -v1:$(DEBIAN_VERSION)

=== debian/tests/control ===
# For an explanation of the disabled pieces here, see:
# https://lists.ubuntu.com/archives/ubuntu-quality/2013-November/004679.html

Tests: duplicate-module-load
Restrictions: allow-stderr
Depends: apache2

Tests: ssl-passphrase
Restrictions: needs-root allow-stderr
Depends: apache2, curl, expect, ssl-cert

#Tests: chroot
#Features: no-build-needed
#Restrictions: needs-root allow-stderr breaks-testbed
#Depends: apache2, wget, dpkg-dev
